<div class="tarjeta-producto-categoria">
  <!-- Imagen cabecera para las tarjetas -->
  <figure class="img_producto">
    <p-image src="{{ imagenProductoUrl }}" [preview]="true" alt="Foto del producto"></p-image>
  </figure>

  <div class="detalles-producto">
    <label class="label-fw600">{{ producto.Nombre }}</label>
    <span class="precio">{{ producto.PrecioVenta }} Bs.</span>
    <span class="categoriaProducto"><i class="uil uil-tag-alt"></i> {{ producto.CategoriaProducto.Nombre }}</span>
    <span class="stock {{ producto.obtenerClasePorStock(producto.StockRestante, producto.StockTotal) }}">{{
      producto.obtenerEstadoPorStock(producto.StockRestante, producto.StockTotal, nombreUnidadSIN) }}</span>

    <div class="botones">
      <button pButton icon="uil uil-eye" (click)="mostrarInformacion(producto.IdProducto)"></button>
      <button pButton icon="uil uil-shopping-cart-alt" (click)="agregarCarrito(producto, imagenProductoUrl)"></button>
      <button type="button" pButton icon="uil uil-schedule" (click)="mostrarDialogReserva = true"></button>
    </div>
  </div>
</div>

<div class="dialog-container-general">
  <p-dialog header="Reserva de producto" [modal]="true" [(visible)]="mostrarDialogReserva"
    [style]="{ width: '35vw', height: '600px' }">
    <p-fieldset legend="Detalles">
      <div class="form_reserva">
        <label class="label-fw600">Producto: {{ producto.Nombre }}</label>
        <label class="label-fw600">Precio Bs.: {{ producto.PrecioVenta }}</label>

        <p-divider></p-divider>

        <div class="form-group">
          <span>Cantidad a reservar: </span>
          <p-inputNumber [(ngModel)]="cantidadReserva" [style]="{width: '10px', height: '40px'}" [showButtons]="isNotResponsive" [min]="1" [max]="999"> </p-inputNumber>
        </div>

        <span>Fecha de reserva: {{ fechaReserva.toLocaleDateString() }}</span>

        <div class="form-group">
          <span>Fecha de recojo: </span>
          <p-calendar [(ngModel)]="fechaRecojo" [showTime]="true" [style]="{width: '200px', height: '40px'}" dateFormat="dd/mm/yy" [showIcon]="true"></p-calendar>
        </div>

        <p-divider></p-divider>

        <span class="font-bold">Total: {{ cantidadReserva * producto.PrecioVenta}}</span>
      </div>
    </p-fieldset>
    <p-footer>
      <button class="btn btn-primary-1" (click)="mostrarDialogReserva = false">CANCELAR</button>
      <button class="btn btn-secondary-1" (click)="confirmarReserva(producto)">RESERVAR</button>
    </p-footer>
  </p-dialog>
</div>

<p-confirmDialog [style]="{width: '30vw'}" #confirm>
  <ng-template pTemplate="header">
    <h3>Confirmación de reserva</h3>
  </ng-template>
  <ng-template pTemplate="footer">
    <button class="btn btn-primary-1" (click)="confirm.reject()">NO</button>
    <button class="btn btn-secondary-1" (click)="confirm.accept()">SÍ</button>
  </ng-template>
</p-confirmDialog>
